/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ParamCanjePunto;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderSendaAmigoParamCanjePunto implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ParamCanjePunto pap = (ParamCanjePunto) o;

        Listcell lc = new Listcell(pap.getParamcanjepuntoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(pap.getOrigem().getDescparada());
        lc.setParent(lstm);

        lc = new Listcell(pap.getDestino().getDescparada());
        lc.setParent(lstm);

        SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy");
        if (pap.getFeciniciovigencia() != null) {
            lc = new Listcell(sf.format(pap.getFeciniciovigencia()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pap.getFecfinvigencia() != null) {
            lc = new Listcell(sf.format(pap.getFecfinvigencia()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);
        if (pap.getPorcentaje() != null) {
            lc = new Listcell(pap.getPorcentaje().toString());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", pap);
    }
}
